VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo:
[legend]

## Public Member Functions

| PipelineMultisampleStateCreateInfo (PipelineMultisampleStateCreateFlags flags_=PipelineMultisampleStateCreateFlags(), SampleCountFlagBits rasterizationSamples_=SampleCountFlagBits::e1, Bool32 sampleShadingEnable_=0, float minSampleShading_=0, const SampleMask *pSampleMask_=nullptr, Bool32 alphaToCoverageEnable_=0, Bool32 alphaToOneEnable_=0)
| PipelineMultisampleStateCreateInfo (VkPipelineMultisampleStateCreateInfo const &rhs)
PipelineMultisampleStateCreateInfo & | operator= (VkPipelineMultisampleStateCreateInfo const &rhs)
PipelineMultisampleStateCreateInfo & | setPNext (const void *pNext_)
PipelineMultisampleStateCreateInfo & | setFlags (PipelineMultisampleStateCreateFlags flags_)
PipelineMultisampleStateCreateInfo & | setRasterizationSamples (SampleCountFlagBits rasterizationSamples_)
PipelineMultisampleStateCreateInfo & | setSampleShadingEnable (Bool32 sampleShadingEnable_)
PipelineMultisampleStateCreateInfo & | setMinSampleShading (float minSampleShading_)
PipelineMultisampleStateCreateInfo & | setPSampleMask (const SampleMask *pSampleMask_)
PipelineMultisampleStateCreateInfo & | setAlphaToCoverageEnable (Bool32 alphaToCoverageEnable_)
PipelineMultisampleStateCreateInfo & | setAlphaToOneEnable (Bool32 alphaToOneEnable_)
| operator VkPipelineMultisampleStateCreateInfo const & () const
| operator VkPipelineMultisampleStateCreateInfo & ()
bool | operator== (PipelineMultisampleStateCreateInfo const &rhs) const
bool | operator!= (PipelineMultisampleStateCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineMultisampleStateCreateFlags | flags
SampleCountFlagBits | rasterizationSamples
Bool32 | sampleShadingEnable
float | minSampleShading
const SampleMask * | pSampleMask
Bool32 | alphaToCoverageEnable
Bool32 | alphaToOneEnable

## Private Attributes

StructureType | sType = StructureType::ePipelineMultisampleStateCreateInfo

## Detailed Description

Definition at line 27193 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineMultisampleStateCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::PipelineMultisampleStateCreateInfo | ( | PipelineMultisampleStateCreateFlags | flags_ = `PipelineMultisampleStateCreateFlags()`,
|  | SampleCountFlagBits | rasterizationSamples_ = `SampleCountFlagBits::e1`,
|  | Bool32 | sampleShadingEnable_ = `0`,
|  | float | minSampleShading_ = `0`,
|  | const SampleMask * | pSampleMask_ = `nullptr`,
|  | Bool32 | alphaToCoverageEnable_ = `0`,
|  | Bool32 | alphaToOneEnable_ = `0`
| ) |  |

inline

Definition at line 27195 of file vulkan.hpp.

: flags( flags_ )
, rasterizationSamples( rasterizationSamples_ )
, sampleShadingEnable( sampleShadingEnable_ )
, minSampleShading( minSampleShading_ )
, pSampleMask( pSampleMask_ )
, alphaToCoverageEnable( alphaToCoverageEnable_ )
, alphaToOneEnable( alphaToOneEnable_ )
{
}

## PipelineMultisampleStateCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::PipelineMultisampleStateCreateInfo | ( | VkPipelineMultisampleStateCreateInfo const & | rhs | ) |

inline

Definition at line 27212 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineMultisampleStateCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineMultisampleStateCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::operator VkPipelineMultisampleStateCreateInfo & | ( |  | ) |

inline

Definition at line 27275 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineMultisampleStateCreateInfo*>(this);
}

## operator VkPipelineMultisampleStateCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::operator VkPipelineMultisampleStateCreateInfo const & | ( |  | ) | const

inline

Definition at line 27270 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineMultisampleStateCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::operator!= | ( | PipelineMultisampleStateCreateInfo const & | rhs | ) | const

inline

Definition at line 27293 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::operator= | ( | VkPipelineMultisampleStateCreateInfo const & | rhs | ) |

inline

Definition at line 27217 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineMultisampleStateCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::operator== | ( | PipelineMultisampleStateCreateInfo const & | rhs | ) | const

inline

Definition at line 27280 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( rasterizationSamples == rhs.rasterizationSamples )
&& ( sampleShadingEnable == rhs.sampleShadingEnable )
&& ( minSampleShading == rhs.minSampleShading )
&& ( pSampleMask == rhs.pSampleMask )
&& ( alphaToCoverageEnable == rhs.alphaToCoverageEnable )
&& ( alphaToOneEnable == rhs.alphaToOneEnable );
}

References alphaToCoverageEnable, alphaToOneEnable, flags, minSampleShading, pNext, pSampleMask, rasterizationSamples, sampleShadingEnable, and sType.

Referenced by operator!=().

## setAlphaToCoverageEnable()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setAlphaToCoverageEnable | ( | Bool32 | alphaToCoverageEnable_ | ) |

inline

Definition at line 27258 of file vulkan.hpp.

{
alphaToCoverageEnable = alphaToCoverageEnable_;
return *this;
}

References alphaToCoverageEnable.

## setAlphaToOneEnable()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setAlphaToOneEnable | ( | Bool32 | alphaToOneEnable_ | ) |

inline

Definition at line 27264 of file vulkan.hpp.

{
alphaToOneEnable = alphaToOneEnable_;
return *this;
}

References alphaToOneEnable.

## setFlags()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setFlags | ( | PipelineMultisampleStateCreateFlags | flags_ | ) |

inline

Definition at line 27228 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setMinSampleShading()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setMinSampleShading | ( | float | minSampleShading_ | ) |

inline

Definition at line 27246 of file vulkan.hpp.

{
minSampleShading = minSampleShading_;
return *this;
}

References minSampleShading.

## setPNext()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 27222 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPSampleMask()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setPSampleMask | ( | const SampleMask * | pSampleMask_ | ) |

inline

Definition at line 27252 of file vulkan.hpp.

{
pSampleMask = pSampleMask_;
return *this;
}

References pSampleMask.

## setRasterizationSamples()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setRasterizationSamples | ( | SampleCountFlagBits | rasterizationSamples_ | ) |

inline

Definition at line 27234 of file vulkan.hpp.

{
rasterizationSamples = rasterizationSamples_;
return *this;
}

References rasterizationSamples.

## setSampleShadingEnable()

PipelineMultisampleStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::setSampleShadingEnable | ( | Bool32 | sampleShadingEnable_ | ) |

inline

Definition at line 27240 of file vulkan.hpp.

{
sampleShadingEnable = sampleShadingEnable_;
return *this;
}

References sampleShadingEnable.

## Field Documentation

## alphaToCoverageEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::alphaToCoverageEnable

Definition at line 27308 of file vulkan.hpp.

Referenced by operator==(), and setAlphaToCoverageEnable().

## alphaToOneEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::alphaToOneEnable

Definition at line 27309 of file vulkan.hpp.

Referenced by operator==(), and setAlphaToOneEnable().

## flags

PipelineMultisampleStateCreateFlags VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::flags

Definition at line 27303 of file vulkan.hpp.

Referenced by operator==().

## minSampleShading

float VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::minSampleShading

Definition at line 27306 of file vulkan.hpp.

Referenced by operator==(), and setMinSampleShading().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::pNext = nullptr

Definition at line 27302 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pSampleMask

const SampleMask* VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::pSampleMask

Definition at line 27307 of file vulkan.hpp.

Referenced by operator==(), and setPSampleMask().

## rasterizationSamples

SampleCountFlagBits VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::rasterizationSamples

Definition at line 27304 of file vulkan.hpp.

Referenced by operator==(), and setRasterizationSamples().

## sampleShadingEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::sampleShadingEnable

Definition at line 27305 of file vulkan.hpp.

Referenced by operator==(), and setSampleShadingEnable().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::sType = StructureType::ePipelineMultisampleStateCreateInfo

private

Definition at line 27299 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::sampleShadingEnable
Bool32 sampleShadingEnable
Definition: vulkan.hpp:27305
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:27302
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::pSampleMask
const SampleMask * pSampleMask
Definition: vulkan.hpp:27307
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::operator==
bool operator==(PipelineMultisampleStateCreateInfo const &rhs) const
Definition: vulkan.hpp:27280
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::flags
PipelineMultisampleStateCreateFlags flags
Definition: vulkan.hpp:27303
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::PipelineMultisampleStateCreateInfo
PipelineMultisampleStateCreateInfo(PipelineMultisampleStateCreateFlags flags_=PipelineMultisampleStateCreateFlags(), SampleCountFlagBits rasterizationSamples_=SampleCountFlagBits::e1, Bool32 sampleShadingEnable_=0, float minSampleShading_=0, const SampleMask *pSampleMask_=nullptr, Bool32 alphaToCoverageEnable_=0, Bool32 alphaToOneEnable_=0)
Definition: vulkan.hpp:27195
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::alphaToOneEnable
Bool32 alphaToOneEnable
Definition: vulkan.hpp:27309
VkPipelineMultisampleStateCreateInfo
Definition: vulkan_core.h:2395
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::rasterizationSamples
SampleCountFlagBits rasterizationSamples
Definition: vulkan.hpp:27304
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::minSampleShading
float minSampleShading
Definition: vulkan.hpp:27306
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:27299
VULKAN_HPP_NAMESPACE::PipelineMultisampleStateCreateInfo::alphaToCoverageEnable
Bool32 alphaToCoverageEnable
Definition: vulkan.hpp:27308
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480